Package org.apache.avro.idl

# Class IdlSchemaParser

java.lang.Object
org.apache.avro.idl.IdlSchemaParser

All Implemented Interfaces:
  `org.apache.avro.FormattedSchemaParser`

public class IdlSchemaParser extends Object implements org.apache.avro.FormattedSchemaParser

## Constructor Summary

Constructors
Constructor
Description
`IdlSchemaParser()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.avro.Schema`
`parse(org.apache.avro.ParseContext parseContext, URI baseUri, CharSequence formattedSchema)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdlSchemaParser

public IdlSchemaParser()

## Method Details

### parse

public org.apache.avro.Schema parse(org.apache.avro.ParseContext parseContext, URI baseUri, CharSequence formattedSchema) throws IOException, org.apache.avro.SchemaParseException

Specified by:
  `parse` in interface `org.apache.avro.FormattedSchemaParser`
Throws:
  `IOException`
  `org.apache.avro.SchemaParseException`